import pandas as pd
from datetime import datetime, timedelta

def load_sms_data(data_directory):
    df = pd.read_csv(data_directory + '/SMS.csv')
    df.columns = [strip_non_ascii(x) for x in df.columns]
    
    df['Date'] = df['Date'].apply(lambda x : int(x))
    df['Relative Date'] = df['Date'] - df['Date'].min()
    
    df['ContainsURL'] = df['ContainsURL'].astype(int)
    df['FromContacts'] = df['FromContacts'].astype(int)
    df['UUID'] = df['UUID'].astype(str)
    
    df['Type'] = df['Type'] - 1.0
    df['Time'] = datetime(2000,1,1,0,0,0) + df['Relative Date'].apply(lambda x : timedelta(seconds=x/1000.0))
    df.index = df['Time']
    
    return df

